nValue('--import');
      if (userImports.length > 0) {
        const parentURL = getCWDURL().href;
        await SafePromiseAllReturnVoid(userImports, (specifier) => esmLoader.import(
          specifier,
          parentURL,
          kEmptyObject,
        ));
      } else {
        esmLoader.forceLoadHooks();
      }
      await callback(esmLoader);
    } catch (err) {
      if (hasUncaughtExceptionCaptureCallback()) {
        process._fatalException(err);
        return;
      }
      internalBinding('errors').triggerUncaughtException(
        err,
        true, /* fromPromise */
      );
    }
  },
};
